explain_fchmod_or_die(3)

NAME
explain_fchmod_or_die - change permissions of a file and report errors
                        "change permissions of a file and report errors"

SYNOPSIS
#include <libexplain/libexplain.h>
void explain_fchmod_or_die(int fildes, int mode);

DESCRIPTION
The explain_fchmod_or_die function is used to call the fchmod(2) system call. On failure an explanation wiil be printed to stderr, obtained from explain_fchmod(3), and the the process terminates by call ing exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_fchmod_or_die(fildes, mode);

fildes
    The fildes, exactly as to be passed to the fchmod(2) system call.

mode
    The mode, exactly as to be passed to the fchmod(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exit(EXIT_FAILURE)s.

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>